conversions/track

The conversions/track API reference page explains how developers can report and track conversion events to Nextdoor via the Nextdoor CAPI, detailing required parameters and example event data formats.

Important Deprecation Notice:
Please note that the following fields are deprecated and should be removed from your CAPI implementation and any related documentation: event_time, client_id, and pixel_id (now known as data_source_id).


Parameters that can only accept certain input values:

  • event_name:
purchase
lead
sign_up
add_to_cart
initiate_checkout
page_view
search
view_content
add_to_wishlist
subscribe
custom_conversion_1
custom_conversion_2
custom_conversion_3
custom_conversion_4
custom_conversion_5
custom_conversion_6
custom_conversion_7
custom_conversion_8
custom_conversion_9
custom_conversion_10
  • action_source:
email:  Conversion happened over email.
website:  Conversion was made on your website.
app:  Conversion was made on your mobile app.
phone_call:  Conversion was made over the phone.
chat:  Conversion was made via a messaging app, SMS, or online messaging feature.
physical_store:  Conversion was made in person at your physical store.
system_generated:  Conversion happened automatically, for example, a subscription renewal that’s set to auto-pay each month.
other:  Conversion happened in a way that is not listed.
  • delivery_category:
in_store — Customer needs to enter the store to get the purchased product.
curbside — Customer picks up their order by driving to a store and waiting inside their vehicle.
home_delivery — Purchase is delivered to the customer's home.
  • restricted_data_usage_state:
`1000` for California\
`1001` for Colorado
`1002` for Connecticut
`1003` for Iowa
`1004` for Oregon
`1005` for Texas
`1006` for Montana
`1007` for Delaware
`1008` for Nebraska
`1009` for New Hampshire
`1010` for New Jersey
`1011` for Utah
`1012` for Virginia
`1013` for Minnesota
`1014` for Tennessee
`1015` for Maryland
`1016` for Indiana
`1017` for Kentucky
`1018` for Rhode Island

Example input

{
  "event_name": "purchase",
  "event_id": "2cf24dba5fb0a30e29e29e1b161e5c1fa7425e73043362938b9824",
  "event_time": "2022-11-23T03:30:52Z",
  "action_source": "physical_store",
  "client_id": "140393426410538289",
  "action_source_url": "https://example.com/path/to/action",
    "delivery_optimization": true,
 "data_source_id": "5b0b9e9a-156a-11ee-be56-0242ac120002",
  "customer": {
    "email": "1b161e5c1fa7425e__fake_hash__73043362938b9824",
    "phone_number": "e1b161e5c1fa742__fake_hash__43362938b9824",
    "first_name": "4dba5fb0a30e2__fake_hash__e1b161e5c1fa7429824",
    "last_name": "a5fb0a30e29e29b1__fake_hash__1fa7425e73043362938b",
    "date_of_birth": "a5fa30e29e29e1b161__fake_hash__e5c1fa74262938b",
    "street_address": "5fb0a30e29e29__fake_hash__e1b161e5c1fa7425e73",
    "city": "5fb0a30e29e29__fake_hash__e1b161e5c1fa7425e73",
    "state": "5fb0a30e29e29__fake_hash__e1b161e5c1fa7425e73",
    "zip_code": "5fb0a30e29e29__fake_hash__e1b161e5c1fa7425e73",
    "country": "5fb0a30e29e29__fake_hash__e1b161e5c1fa7425e73",
    "click_id": "92dea472-8b8b-456f-8b5b-b2a55147c3cc"
  },
  "custom": {
    "order_value": "100",
    "order_id": "100",
    "delivery_category": "in_store",
    "product_context": [
      {
        "id": "ABC123",
        "quantity": 2,
        "item_price": 5.99
      },
      {
        "id": "XYZ789",
        "quantity": 2,
        "item_price": 9.99
      },
    ],
    "app_id": "12345dsnthyg",
    "app_tracking_enabled": true
  },
  "test_event": "TEST1234",
  "partner_id": "123qgmlo"
}
Body Params
string
required

Conversion event name. Supported values above.

string
required

Any string or hashed ID that can identify a unique event. This is required to deduplicate events from CAPI and pixel tracking. It should be any deterministic ID that can be used for conversion api and pixel tracking.

string

Timestamp that the event took place. Timestamp with ISO 8601 format. For example, 2022-11-23T03:30:52Z. Time here is in UTC. Require one of the event_time or event_time_epoch.

string

Optional timezone indicating where the conversion event took place.

string
required

Indicates the channel through which conversion happened. Supported values above.

string

NAM Advertiser ID (aka ad account id) *ask Nextdoor account team if you don't have it.

string

The action_source_url is required for website events. The browser URL where the event happened. The URL must begin with http:// or https:// and should match the verified domain.

boolean

True indicates data can be used for optimization. False indicates the data will only be used for attribution

string

Flag to indicate if this is a test event. If its not present we’ll default to False.

string

Free text field to enter the name of integration vendor (tealium, gtm, or zapier) or agency partner. Used for reference, tracking and troubleshooting; not intended for attribution purposes.

customer
object
required

Contains information about customer. We’ll use multiple signals present in this field to match against nextdoor users.

custom
object

A list of JSON objects that contain the product IDs associated with the event plus information about the products. Available fields: id, content_name, quantity, item_price Example: [{'id':'ABC123','quantity' :2,'item_price':5.99}, {'id':'XYZ789','quantity':2, 'item_price':9.99, }]

app
object

Required for App events.

integer
required

For backward compatibility, require one of the event_time or event_time_epoch. Number of seconds since 1970-01-01. No millis.

string
required

Also known as the pixel_ID; used to dedupe events from CAPI and pixel. It's softly required for multiple pixel implementations.

integer

Default is null. If an advertiser explicitly passes true or 1, Nextdoor will only use the event for reporting purposes.

integer

Associates a country with this data processing option. Default is null. The currently accepted value is 1 for the United States of America.

integer

Associates a state with this data processing option. Default is null. See above for accepted values.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json